<?php
function ALM_SE_PUEDE_MODIFICAR($ID_ALM){
	//++++++++
	if(gn("count(*)","caja_chica","id_almacen=$ID_ALM AND id_caja>0")>0){
		return "Una o mas registro de caja chica relacionados";
	}
	//+++
	if(gn("count(*)","compras","id_almacen=$ID_ALM AND id_compra>0")>0){
		return "Una o mas compras relacionadas";
	}
	//
	if(gn("count(*)","transferencias","id_alm_o=$ID_ALM AND id_trans>0")>0){
		return "Una o mas transferencias (origen) relacionadas";
	}
	//
	if(gn("count(*)","transferencias","id_alm_d=$ID_ALM AND id_trans>0")>0){
		return "Una o mas transferencias (destino) relacionadas";
	}
	//
	if(gn("count(*)","ajustes","id_alm=$ID_ALM AND id_ajuste>0")>0){		
		return "Una o mas ajustes relacionados";
	}
	//
	if(gn("count(*)","guias","id_almacen=$ID_ALM AND id_guia>0")>0){		
		return "Una o mas guias de remision relacionados";
	}
	//
	if(gn("count(*)","ginterna","gi_id_alm=$ID_ALM AND id_gi>0")>0){		
		return "Una o mas guias internas relacionados";
	}
	//
	if(gn("count(*)","transformaciones","id_almacen=$ID_ALM AND id_transformacion>0")>0){
		return "Una o mas transformaciones relacionados";
	}
	//
	if(gn("count(*)","egresos","id_alm=$ID_ALM AND id_egreso>0")>0){		
		return "Una o mas egresos relacionados";
	}
	//
	if(gn("count(*)","cotizaciones","id_alm=$ID_ALM AND id_cotizacion>0")>0){
		return "Una o mas cotizaciones relacionadas";
	}
	//
	if(gn("count(*)","ventas","id_alm=$ID_ALM AND id_venta>0")>0){		
		return "Una o mas ventas relacionadas";
	}
	//
	if(gn("count(*)","devoluciones","dev_id_alm=$ID_ALM AND id_devolucion>0")>0){
		return "Una o mas devoluciones relacionadas";
	}
	//
	if(gn("count(*)","ingresos","id_alm=$ID_ALM AND id_ingreso>0")>0){
		return "Una o mas ingresos relacionadas";
	}
	//
	if(gn("count(*)","usuarios","id_alm=$ID_ALM AND id_usuario>0")>0){		
		return "Una o mas usuarios relacionadas";
	}
	//
	if(gn("count(*)","cobroz","cob_id_alm=$ID_ALM AND id_cobro>0")>0){		
		return "Una o mas cobros relacionados (cobroz)";
	}
	//
	if(gn("count(*)","contratos","con_id_alm=$ID_ALM AND id_contrato>0")>0){		
		return "Una o mas contratos relacionadas";
	}
	//
	if(gn("count(*)","contratos_ingresos","ci_id_alm=$ID_ALM AND id_con_ing>0")>0){		
		return "Una o mas contratos ingresos relacionadas";
	}
	//
	if(gn("count(*)","cobrox","cx_id_alm=$ID_ALM AND id_cx>0")>0){		
		return "Una o mas cobros relacionados (cobrox)";
	}
	//
	return "OK";
}
?>